AOZ Studio Beta - Bug #905

Get Bob Palette, is not currently there for an inst/func, currently missing.
07/23/2022 10:22 PM - malcolm harvey

Status: New Start date: 07/24/2022
Priority: Normal Due date:

Assignee: AQOZ Developers % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0 (u38)

Description

Hmm ok, Get Bob Palette is not there in ide help but Get Sprite Palette is, | believe this like Get Sprite Palette is also (Depreciated
need to use Get Images Palette by the look of it now as well.)

Also need to add Get Bob Palette tho into the cmd list in the ide like Get Sprite palette is as a instruction still available, and show its
(Depreciated in F5 minihelp window also and pointing to Get Images palette) so people know what's going on there with that as well.
Both were in AMOS.

History

#1 - 07/23/2022 10:30 PM - malcolm harvey
malcolm harvey wrote:

Hmm ok, Get Bob Palette is not there in ide help but Get Sprite Palette is, | believe this like Get Sprite Palette is also (Depreciated need to use
Get Images Palette by the look of it now as well.)

Also need to add Get Bob Palette tho into the cmd list in the ide like Get Sprite palette is as a instruction still available, and show its (Depreciated
in F5 minihelp window also and pointing to Get Images palette) so people know what's going on there with that as well.
Both were in AMOS.

Slight update on that..(Was some incorrect info)

Get Bob Palette is not there in ide help but Get Sprite Palette is.
Need to add that also in the help tree under animate bob.

Also need to add Get Bob Palette tho into the cmd list in the ide like Get Sprite palette is as a instruction still available, and show its usage
(Depreciated if changed also in F5 minihelp window) so people know what's going on there with that as well. Both were in AMOS.
eg: Below for F5 Window (For Get Bob Palette) to add in.

GET BOB PALETTE

instruction: load image colours into current screen
Get Bob Palette

Get Bob Palette mask

This command loads the whole colour palette used for your Bobs into the current screen. A mask can be added if you like, which will load a selection
of these colours only. Each individual colour is represented by one "bit" of the mask being set to a zero (off) or a one (on). Colours run from right to
left, so that colour zero is represented by the bit at the right-hand end of the mask, colour 1 is second from the right, and so on. Supposing there are
16 colours in your Bob palette, you would copy the first four colours like this:

X> Get Bob Palette %0000000000001111

#2 - 08/28/2022 09:14 PM - malcolm harvey

- Affected version changed from 1.0.0 (B15) to 1.0.0 (B16) u25

#3 - 05/04/2023 10:52 PM - malcolm harvey
- Affected version changed from 1.0.0 (B16) u25 to 1.0 (u38)

#4 - 05/11/2023 11:04 PM - malcolm harvey

- Subject changed from Get Bob Palette to Get Bob Palette, is not currently there for an inst/func, currently missing.

#5 - 05/11/2023 11:15 PM - malcolm harvey
Same in U43.

#6 - 06/18/2023 11:53 PM - malcolm harvey

- Assignee changed from Francois Lionet to AOZ Developers

Same in U44.
